import http from '@/api/http';
/**
 * 籍列表接口
 */
export function bookList(params: object) {
  return http.post('/contentManage/book/list', params)
}
/**
 * 合作结算方式获取
 */
export function bookSettlementypes() {
  return http.get('/contentManage/book/settlementypes')
}
/**
 * 获取书籍版权分库信息
 */
export function bookDistribute(bid: number, params?: object) {
  return http.get(`/contentManage/book/distribute/${bid}`, params)
}
/**
 * 提交书籍版权分库信息
 */
export function bookDistributeSave(bid: number, params: object) {
  return http
    .post(`/contentManage/book/distribute/${bid}`, params)
    
}
/**
 * 提交书籍版权分库信息
 */
export function bookEditAuthor(params: object) {
  return http.post('contentManage/book/edit_author', params)
}
/**
 * 上传书籍
 */
export function bookImport(params: object) {
  return http.post('/contentManage/book/import', params)
}
/**
 * 创建书籍
 */
export function bookCreateBook(params: object) {
  return http.post('/contentManage/book/createBook', params)
}

/**
 * 书籍分类
 */
export function bookCategorylist(params?: object) {
  return http.get(`/contentManage/book/categorylist`, params)
}
